Skip to main content
POST
Quote a sale

Authorizations

x-api-key
string
header
required

API key for authentication

Body

application/json
items
object[]
required

Each item names an offer, or a product and variant

Required array length: 1 - 50 elements
optionals
enum<string>[]

Add-ons to include

Maximum array length: 2
Available options:
instant_payout,
overnight_label
promotionCode
string
Required string length: 1 - 64

Response

Default Response

quoteId
string<uuid>
required

Execute it with POST /execution/v3/sell/quotes/{quoteId}/execute

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
expiresAt
string
required

ISO 8601; the quote cannot be executed after this

payout
integer
required

What the seller is paid, in cents

Required range: -9007199254740991 <= x <= 9007199254740991
items
object[]
required
breakdown
object
required
optionals
object[]
required
issues
object[]
required

Empty when the quote can be executed